Package com.independentsoft.office.word

# Class Hyperlink

java.lang.Object
com.independentsoft.office.word.Hyperlink

All Implemented Interfaces:
  `IContentElement`, `IParagraphContent`

public class Hyperlink extends Object implements IParagraphContent
The Class Hyperlink.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Hyperlink()`
  Instantiates a new hyperlink.
  `Hyperlink​(InternalXMLStreamReader reader)`
  Instantiates a new hyperlink.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add​(SmartTag smartTag)`
  Adds the.
  `void`
  `add​(IParagraphContent contentElement)`
  Adds the.
  `void`
  `add​(Run run)`
  Adds the.
  `Hyperlink`
  `clone()`
  `String`
  `getAnchor()`
  Gets the anchor.
  `List<IParagraphContent>`
  `getContent()`
  Gets the content.
  `List<IContentElement>`
  `getContentElements()`
  `ExtendedBoolean`
  `getHistory()`
  Gets the history.
  `String`
  `getLocation()`
  Gets the location.
  `String`
  `getTarget()`
  Gets the target.
  `String`
  `getTargetFrame()`
  Gets the target frame.
  `String`
  `getToolTip()`
  Gets the tool tip.
  `void`
  `setAnchor​(String anchor)`
  Sets the anchor.
  `void`
  `setHistory​(ExtendedBoolean history)`
  Sets the history.
  `void`
  `setLocation​(String location)`
  Sets the location.
  `void`
  `setTarget​(String target)`
  Sets the target.
  `void`
  `setTargetFrame​(String targetFrame)`
  Sets the target frame.
  `void`
  `setToolTip​(String toolTip)`
  Sets the tool tip.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Hyperlink

    public Hyperlink()
    Instantiates a new hyperlink.

  - ### Hyperlink

    public Hyperlink​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new hyperlink.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### add

    public void add​(Run run)
    Adds the.
    Parameters:
      `run` - the run

  - ### add

    public void add​(SmartTag smartTag)
    Adds the.
    Parameters:
      `smartTag` - the smart tag

  - ### add

    public void add​(IParagraphContent contentElement)
    Adds the.
    Parameters:
      `contentElement` - the content element

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### clone

    public Hyperlink clone()
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IParagraphContent`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getContent

    public List<IParagraphContent> getContent()
    Gets the content.
    Returns:
      the content

  - ### getAnchor

    public String getAnchor()
    Gets the anchor.
    Returns:
      the anchor

  - ### setAnchor

    public void setAnchor​(String anchor)
    Sets the anchor.
    Parameters:
      `anchor` - the new anchor

  - ### getLocation

    public String getLocation()
    Gets the location.
    Returns:
      the location

  - ### setLocation

    public void setLocation​(String location)
    Sets the location.
    Parameters:
      `location` - the new location

  - ### getTarget

    public String getTarget()
    Gets the target.
    Returns:
      the target

  - ### setTarget

    public void setTarget​(String target)
    Sets the target.
    Parameters:
      `target` - the new target

  - ### getHistory

    public ExtendedBoolean getHistory()
    Gets the history.
    Returns:
      the history

  - ### setHistory

    public void setHistory​(ExtendedBoolean history)
    Sets the history.
    Parameters:
      `history` - the new history

  - ### getTargetFrame

    public String getTargetFrame()
    Gets the target frame.
    Returns:
      the target frame

  - ### setTargetFrame

    public void setTargetFrame​(String targetFrame)
    Sets the target frame.
    Parameters:
      `targetFrame` - the new target frame

  - ### getToolTip

    public String getToolTip()
    Gets the tool tip.
    Returns:
      the tool tip

  - ### setToolTip

    public void setToolTip​(String toolTip)
    Sets the tool tip.
    Parameters:
      `toolTip` - the new tool tip